Bug 246842 - New port: devel/R-cran-rcmdcheck Run 'R CMD check' from 'R' and Capture Results
Summary: New port: devel/R-cran-rcmdcheck Run 'R CMD check' from 'R' and Capture Results
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2020-05-29 13:39 UTC by Jean-Paul Beconne
Modified: 2021-06-19 08:11 UTC (History)
1 user (show)

See Also:


Attachments
SHAR file (2.14 KB, text/plain)
2020-05-29 13:39 UTC, Jean-Paul Beconne
no flags Details
Modified port (1.65 KB, patch)
2021-06-16 18:35 UTC, Jean-Paul Beconne
no flags Details | Diff
SHAR file (1.64 KB, patch)
2021-06-17 18:45 UTC, Jean-Paul Beconne
no flags Details | Diff
Modify SHAR file with dependency origin fixed (1.64 KB, patch)
2021-06-18 16:52 UTC, Jean-Paul Beconne
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Paul Beconne 2020-05-29 13:39:22 UTC
Created attachment 215021 [details]
SHAR file

R package

Must be evaluated after bug 246836 and bug 246840
Comment 1 Guangyuan Yang freebsd_committer 2021-06-03 12:13:40 UTC
Thanks for the submission! Based on a quick review:

- # $FreeBSD$
- PORTREVISION is not needed for a new port

Please correct the above and I can take it from here, thanks!
Comment 2 Jean-Paul Beconne 2021-06-16 18:33:37 UTC
PORTREVISION removed
Comment 3 Jean-Paul Beconne 2021-06-16 18:35:00 UTC
Created attachment 225867 [details]
Modified port
Comment 4 Guangyuan Yang freebsd_committer 2021-06-16 22:49:32 UTC
(In reply to Jean-Paul Beconne from comment #3)

- # $FreeBSD$ is deprecated, please remove

Thanks!
Comment 5 Jean-Paul Beconne 2021-06-17 18:45:30 UTC
Created attachment 225897 [details]
SHAR file

Removal of # $Freebsd
Comment 6 Guangyuan Yang freebsd_committer 2021-06-18 03:04:24 UTC
(In reply to Jean-Paul Beconne from comment #5)

Did you run a build test?

Error: devel/R-cran-rcmdcheck depends on nonexistent origin 'devel/R-cran-xopen'
Comment 7 Jean-Paul Beconne 2021-06-18 16:51:03 UTC
(In reply to Guangyuan Yang from comment #6)
Sorry, I started to port it 1 year ago and the dependency was in devel and not in sysutils. The package stayed in this category on my machine and it builded without issue.
As I started the porting in SHAR format and I am not comfortable with git, I prefer to keep this format. I will move to git for update and next new ports.
Thank you for your understanding.
Comment 8 Jean-Paul Beconne 2021-06-18 16:52:26 UTC
Created attachment 225909 [details]
Modify SHAR file with dependency origin fixed
Comment 9 commit-hook freebsd_committer 2021-06-19 08:08:26 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=cbccc77e92185b5ac7f412e37de2354e79bb2c6a

commit cbccc77e92185b5ac7f412e37de2354e79bb2c6a
Author:     Jean-Paul Beconne <jpbeconne@free.fr>
AuthorDate: 2021-06-19 08:07:37 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-06-19 08:07:37 +0000

    devel/R-cran-rcmdcheck: New port

    Run 'R CMD check' from 'R' and Capture Results.

    PR:             246842
    Approved by:    lwhsu (mentor, implicit)

 devel/Makefile                         |  1 +
 devel/R-cran-rcmdcheck/Makefile (new)  | 29 +++++++++++++++++++++++++++++
 devel/R-cran-rcmdcheck/distinfo (new)  |  3 +++
 devel/R-cran-rcmdcheck/pkg-descr (new) |  5 +++++
 4 files changed, 38 insertions(+)
Comment 10 Guangyuan Yang freebsd_committer 2021-06-19 08:11:26 UTC
Committed, thanks for all the changes!